Package javax.servlet.http

## Interface HttpSessionIdListener

All Superinterfaces:
  `java.util.EventListener`

    public interface HttpSessionIdListener
    extends java.util.EventListener

Implementations of this interface are notified when an `HttpSession`'s ID changes. To receive notification events, the implementation class must be configured in the deployment descriptor for the web application, annotated with `WebListener` or registered by calling an addListener method on the `ServletContext`.

Since:
  Servlet 3.1
See Also:
  `HttpSessionEvent`, `HttpServletRequest.changeSessionId()`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sessionIdChanged​(HttpSessionEvent se, java.lang.String oldSessionId)` Notification that a session ID has been changed.

### Method Detail

#### sessionIdChanged

    void sessionIdChanged​(HttpSessionEvent se,
                          java.lang.String oldSessionId)

Notification that a session ID has been changed.

Parameters:
  `se` - the notification event
  `oldSessionId` - the old session ID